---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:37:39Z"
    creationTimestamp: "2025-10-27T11:17:58Z"
    labels:
      k8s-app: etcd
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:k8s-app: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:37:39Z"
    name: etcd
    namespace: openshift-etcd
    resourceVersion: "48986"
    uid: 58dcc803-e908-41a3-918c-e2527f672fb9
  subsets:
  - addresses:
    - ip: 10.46.248.134
      nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: etcd-cnvqe-072.lab.eng.tlv2.redhat.com
        namespace: openshift-etcd
        uid: 60b251ea-9a31-43f8-b6bd-5f9874739e94
    - ip: 10.46.248.41
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: etcd-cnvqe-070.lab.eng.tlv2.redhat.com
        namespace: openshift-etcd
        uid: d3195d11-ff9a-4d8b-88ce-fcad775548e3
    - ip: 10.46.248.42
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: etcd-cnvqe-071.lab.eng.tlv2.redhat.com
        namespace: openshift-etcd
        uid: 4b7031c4-035c-4919-816d-abfb76d6cf33
    ports:
    - name: readyz-sidecar
      port: 9980
      protocol: TCP
    - name: etcd-peer
      port: 2380
      protocol: TCP
    - name: grpc-proxy
      port: 9978
      protocol: TCP
    - name: etcd
      port: 2379
      protocol: TCP
    - name: etcd-metrics
      port: 9979
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "2219767"
